AccessibleApplication API
3
AT-SPI-CSPI Library

# AccessibleApplication API

The interface implemented by the topmost Accessible in an application's hierarchy of Accessible objects.

## Synopsis

    void                AccessibleApplication_ref           (AccessibleApplication *obj);
    void                AccessibleApplication_unref         (AccessibleApplication *obj);
    char*               AccessibleApplication_getToolkitName
                                                            (AccessibleApplication *obj);
    char*               AccessibleApplication_getVersion    (AccessibleApplication *obj);
    long                AccessibleApplication_getID         (AccessibleApplication *obj);
    char*               AccessibleApplication_getLocale     (AccessibleApplication *obj,
                                                             int lc_category);
    SPIBoolean          AccessibleApplication_pause         (AccessibleApplication *obj);
    SPIBoolean          AccessibleApplication_resume        (AccessibleApplication *obj);

## Description

This interface is implemented on the topmost object in an application's hierarchy. It is primarily a marker interface, though certain properties associated with an application, such as the application's current default locale, are also exposed.

## Details

### AccessibleApplication_ref ()

    void                AccessibleApplication_ref           (AccessibleApplication *obj);

Increment the reference count for an AccessibleApplication.

`obj` :

  a pointer to the AccessibleApplication on which to operate.

### AccessibleApplication_unref ()

    void                AccessibleApplication_unref         (AccessibleApplication *obj);

Decrement the reference count for an AccessibleApplication.

`obj` :

  a pointer to the AccessibleApplication object on which to operate.

### AccessibleApplication_getToolkitName ()

    char*               AccessibleApplication_getToolkitName
                                                            (AccessibleApplication *obj);

Get the name of the UI toolkit used by an AccessibleApplication.

`obj` :

  a pointer to the AccessibleApplication to query.

Returns :

  a UTF-8 string indicating which UI toolkit is used by an application.

### AccessibleApplication_getVersion ()

    char*               AccessibleApplication_getVersion    (AccessibleApplication *obj);

Get the version of the at-spi bridge exported by an AccessibleApplication instance.

`obj` :

  a pointer to the AccessibleApplication being queried.

Returns :

  a UTF-8 string indicating the application's at-spi version.

### AccessibleApplication_getID ()

    long                AccessibleApplication_getID         (AccessibleApplication *obj);

Get the unique ID assigned by the Registry to an AccessibleApplication instance. (Not Yet Implemented by the registry).

`obj` :

  a pointer to the AccessibleApplication being queried.

Returns :

  a unique long integer associated with the application by the Registry, or 0 if the application is not registered.

### AccessibleApplication_getLocale ()

    char*               AccessibleApplication_getLocale     (AccessibleApplication *obj,
                                                             int lc_category);

Get a POSIX-compliant string describing the application's current locale setting for a particular `lctype` category.

`Since`: AT-SPI 1.4

`obj` :

  a pointer to the AccessibleApplication being queried.

`lc_category` :

  one of the POSIX LC_TYPE enumeration, for instance LC_MESSAGES.

Returns :

  a POSIX-compliant locale string, e.g. "C", "pt_BR", "sr`latn`", etc.

### AccessibleApplication_pause ()

    SPIBoolean          AccessibleApplication_pause         (AccessibleApplication *obj);

Attempt to pause the application (used when client event queue is over-full). Not Yet Implemented.

`obj` :

  a pointer to the Accessible object on which to operate.

Returns :

  TRUE if the application was paused successfully, FALSE otherwise.

### AccessibleApplication_resume ()

    SPIBoolean          AccessibleApplication_resume        (AccessibleApplication *obj);

Attempt to resume the application (used after AccessibleApplication_pause). Not Yet Implemented.

`obj` :

  a pointer to the Accessible object on which to operate.

Returns :

  TRUE if application processing resumed successfully, FALSE otherwise.